Full changelog version made by Kooby containing all Borderlands 2 Community Patch changes. 

Note: Missing numbers mean it's not a percent increase but an attribute/type change. For other missing stuff, blame Shadow and/or the_Nocturni :]

Last updated: 07/06/17

Total number of changes: 269+-

===========================================================ITEMS======================================================

==================Weapons==================
1.	Made Gemstone weapons have their own rarity, with the benefits of being one rarity higher. (Increased Damage, Accuracy and Magazine Size)

===============Assault Rifles==============
1.	Removed the -20% Critical Hit Damage penalty on Assault Rifles.
2.	Majorly buffed Bandit Assault Rifle's weapon type. (Increased Reload Speed, Fire Rate and Damage for less Magazine Size)
3.	Indirectly buffed the Madhous! as part of the Bandit Assault Rifle buff.
4.	Indirectly buffed the Sawbar as part of the Bandit Assault Rifle buff.
5.	Indirectly buffed the Chopper as part of the Bandit Assault Rifle buff, made it consume 4 ammo per shot instead of 6 and gave it 10% more Damage.
6.	Buffed the Torgue Barrel for Assault Rifles to do more Damage, made them consume only 2 Ammo per Shot instead of 3(4) per Shot (except the KerBlaster) and changed their Damage to Grenade Damage. (30% for some, 40% for others)
7.	Fixed E-Tech Assault Rifles and gave them Penetrating Bullets.
8.	Removed all the penalties of the Evil Smasher and made it an above average Assault Rifle. 
9.	Made the KerBlaster's main projectile deal Grenade Damage.
10.	Buffed the Bearcat's Damage by 100%, Fire Rate by 40% and made it deal Grenade Damage.
11.	Buffed the Veruc's Damage by 10% and made it consume 1 Ammo per Shot.
12.	Buffed the Seeker's Damage by 180% and doubled its Fire Rate.
13.	Buffed the Ogre's Damage by 10%.
14.	Buffed the Shredifier's Damage by 25%.
15.	Buffed the Seraphim's Damage by 180%, removed the Accuracy and Reload Speed penalty and increased its Projectile Speed by 40%.
16.	Buffed the Stinkpot's Damage by 50% and made it deal Grenade Damage.
17.	Buffed the Damned Cowboy's Damage by 200% and increased the Critical Hit Damage bonus to 50%, but has 400% more Recoil now. 
18.	Buffed the Boompuppy’s Damage by 180%, slightly increased its Fire Rate and made it deal Grenade Damage.

==================Snipers==================
1.	Heavily buffed the Damage of Bolt Action Jakobs Sniper Rifles (blue rarity).
2.	Indirectly buffed the Buffalo as part of the Bolt Action Jakobs Sniper Rifles buff.
3.	Fixed E-Tech Sniper Rifles.
4.	Buffed Hyperion Sniper Rifles to match others.
5.	Made the Skullmasher how it is in Pre-Sequel.
6.	Made the Pitchfork consume 1 Ammo per Shot.
7.	Made the Longbow the correct rarity.
8.	Removed the Volcano's Damage penality and gave it a bigger Splash Radius with 65% increased Damage over Time.
9.	Removed all the penalties of the Trespasser, gave it the Dahl Barrel and increased its Damage. 
10.	Removed all the penalties of the Chère-amie's, made it heal for 12% of Damage dealt and increased its Critical Hit Damage by 20%.
11.	Removed all the penalties of the Cobra and increased its Damage and Fire Rate.
12.	Removed all the penalties of the God-Finger and made it non-bolt action.
13.	Removed all the penalties of the Patriot and increased its Damage by 40%.
14.	Buffed the Storm's Damage, Fire Rate and Damage over Time and made its orbs deal 30% of the Damage dealt instead of the original 10%.
15.	Buffed the Elephant Gun's Damage by 200%.
16.	Buffed the Invader's Damage by 70%.
17.	Buffed the HawkEye's Damage by 58%.

===============Launchers===============
1.	Made Tediore Stocks on Rocket Launchers increase Reload Speed.
2.	Made Bandit Sights on Rocket Launchers increase Magazine Size.
3.	Made Torgue Sights on Rocket Launchers increase Damage.
4.	Made Tediore Barrels on Rocket Launchers give a tiny Reload Speed increase instead of nothing.
5.	Buffed the Tunguska's Damage by 30% and removed its Self-Damage on the big radius. 

===============Shotguns=================
1.	Fixed E-Tech Shotguns.
2.	Replaced the Tidal Wave with the Flayer from Pre-Sequel.
3.	Returned the Twister's Splash Damage to 100%.
4.	Gave the Flakker 2 extra pellets and slightly increased its Fire Rate.
5.	Gave the Butcher 2 extra pellets.
6.	Buffed the Carnage's Damage by 30%, made it always spawn with 3 Projectiles and made the Vertical Grip Accessory give it massive Recoil Reduction.
7.	Buffed the Deliverance’s Damage by 30%. 
8.	Buffed the Landscaper.
9.	Reduced the Teeth of Terramorphous's Bullet Spread. (Thanks to Aaron0000!)

================Pistols=================
1.	Majorly buffed Bandit Pistol's weapon type. (Same as the Bandit Assault Rifle buff)
2.	Indirectly buffed the Gub as part of the Bandit Pistol buff.
3.	Indirectly buffed the Tinderbox as part of the Bandit Pistol buff.
4.	The Tediore Barrel on Pistols now gives you Reload Speed instead of nothing.
5.	Changed the Laser Accuracy Accessory on Pistols to boost Projectile Speed by 40% instead of 20%.
6.	Gave the Stalker the Vladof Barrel and increased its Projectile Speed.
7.	Gave the Hornet 100% Grenade Splash Damage instead of 80%.
8.	Buffed the Infection's Damage by 200% and increased the Damage over Time by 30%.
9.	Buffed the Stinger's Damage by 10% and increased its Projectile Speed.
10.	Buffed the Unforgiven's Damage by 50% and increased its Fire Rate slightly.
11.	Buffed the Wanderlust's Damage by 25% and Fire Rate by 40%, made it consume only 2 Ammo per Shot and gave it 2 additional Projectiles.
12.	Removed all the penalties of the Devastator and increased its Damage by 20%.
13.	Buffed the Logan's Gun's Damage by 20% and made it consume 1 Ammo per Shot.
14.	Buffed the Judge's Damage by 35% and gave it the Jakobs Barrel.
15.	Buffed the Greed's Gun Damage, Critical Hit Damage, Accuracy and Recoil Reduction.

=================SMGs==================
1.	Made Bandit Plasma Casters shoot like other Plasma Casters with the same status.
2.	Made the Chulainn not slag you and gave it the Maliwan Barrel.
3.	Balanced the Bone Shredder.
4.	Buffed the HellFire’s Splash Radius by 300% and its Damage over Time by 10%.
5.	Buffed the Avenger’s Damage by 20% and made the Ammo regenerate way faster. (5 per second)
6.	Buffed the Actualizer’s Damage by 30% and increased its Reload Speed.
7.	Buffed the Emperor's Damage, Fire Rate and also made it spawn with a Sight. 
8.	Buffed the Commerce's Damage by 30% and Damage over Time by 60%, quadrupled its Elemental Effect Chance and gave it the Maliwan Barrel.

===============Shields================
1.	Replaced The Cradle with The Naught from Pre-Sequel.
2.	Replaced the Pot o’ Gold with the Bigg Thumppr from Pre-Sequel.
3.	Fixed Deadly Bloom's rarity and skin.
4.	Fixed Amp Shield rarity/part not having a correct effect on Amp Drain.
5.	Buffed the Torgue Capacitor shield part and made it reduce Explosive Damage Taken by 50%.
6.	Gave the Love Thumper the purple Bandit skin and removed the Friendly Damage.
7.	Made the Whisky Tango Foxtrot not harm you, spawn an extra Projectile from the original three, have more Damage and higher chance to spawn them.
8.	Made the Fabled Tortoise slow you down less (from 80% to 40%) and reduced the Health penalty.
9.	Made Hide of Terramorphous never spawn with bad parts, and it has a high chance to get the Grounded prefix.
10.	Reduced the Hoplite's Health penalty.
11.	Buffed the Evolution's base Healing Rate by x5. (Thanks to Orudeon!)
12.	Buffed the Neogenator's Healing Rate by x3. (Thanks to Orudeon!)
13.	Buffed the Cracked Sash.
14.	Buffed the Pun-chee's Damage.
15.	Buffed the Sponge.
16.	Buffed the Impaler's Damage.
17.	Buffed the Shield Capacity and Recharge Rate of the Manly Man Shield, reduced the curse effect, massively increased the Damage dealt, and made it so you’re completely Immune to Explosive Damage.

================Grenades================
1.	Doubled the Projectile Speed of Homing Grenades.
2.	Increased Transfusion Grenade's healing Projectile Speed by 50%.
3.	Made the O-Negative come in 0 seconds Fuse Time. (Fuse Time says it’s 1 but it’s actually 0.)
4.	Buffed normal Tediore and Bandit Grenades' Damage by 33%.
5.	Buffed the Leech’s Damage by 33%.
6.	Made Slag Grenades slag more reliably.
7.	Made the Contraband Skyrocket scale up to OP8 now.
8.	Made the Rolling Thunder not damage you and increased its Splash Radius.

====================Relics====================
1.	Made the Lucrative Opportunity give you a flat Movement Speed buff. (30% to 49%)
2.	Made the Melee Damage Relics multiply instead of adding it.
3.	Buffed the Might of the Seraphs to make it worth it.
4.	Buffed the Moxxi's Endowment's Experience increase.
5.	Buffed the Blood of the Seraphs.
6.	Buffed the Deputy's Badge's Damage. (Scale value and base value)
7.	Buffed the Vault Hunter Relic's chance to drop blues (that’s what rare means) from 5% to 7.5%. (What the Relic does is just buff blue drop rates for less whites)
8.	Buffed the Blood of Terramorphous to 8% Health Regeneration.

=====================COMs======================
1.	Buffed and fixed the passives of each Slayer of Terramorphous COM for each character.

==================Axton COMs===================
1.	Fixed Rifleman/Engineer/Tactician/Legendary Engineer not boosting Battlefront correctly.
2.	Legendary Ranger COM now boosts Onslaught properly. (Thanks to MegaCyber!)
3.	Grenadier COM now boosts Batttlefront instead of Impact.
4.	Specialist COM now boosts Onslaught instead of Forbearance, and passively increases Shotgun Damage and Accuracy now instead of SMG Accuracy.
5.	Pointman COM now boosts Grit, Preparation and Able, and has multiplicative Health bonuses.

==================Salvador COMs================
1.	Legendary Titan COM now boosts Ain’t Got Time to Bleed and Sexual Tyrannosaurus instead of Out of Bubblegum and Locked and Loaded.
2.	Beast COM now boosts Ain't Got Time to Bleed instead of Just Got Real, and has multiplicative Health bonuses.
3.	Titan COM now boosts Sexual Tyrannosaurus instead of Out of Bubblegum.

==================Zer0 COMs====================
1.	Legendary Sniper COM now boosts Fast Hands instead of Kill C0nfirmed.
2.	Spy COM now boosts Cooldown Rate by a lot more.
3.	Survivor COM now boosts Innervate instead of Resurgence, and has multiplicative Health bonuses.

==================Gaige COMs===================
1.	Legendary Anarchist COM now boosts Better Half instead of Strength of Five Gorillas. (UI currently broken, but still buffs the skill)
2.	Anarchist COM now boost Myelin, Smaller, Lighter, Faster and The Better Half instead of Fancy Mathematics, Death From Above and Annoyed Android.
3.	Sweetheart COM now boosts Fancy Mathematics instead of More Pep.
4.	Punk COM now boosts Death from Above instead of Annoyed Android.
5.	Prodigy COM now boosts Smaller, Lighter, Faster instead of More Pep.

==================Krieg COMs===================
1.	Crunch COM now boosts Salt the Wound instead of Blood Trance.
2.	Slab COM has multiplicative Health bonuses now.

==========Visuals (Credit goes to Davespineapple for doing all of these)===============
1.	Gave the Unforgiven an actual skin.
2.	Gave the Butcher an actual skin.
3.	Gave the Avenger an actual skin.
4.	Gave the Tunguska an actual skin.
5.	Gave the Stalker an actual skin.
6.	Gave the Sawbar an actual skin.
7.	Gave the Bearcat an actual skin.
8.	Gave the Storm an actual skin.
9.	Gave the Sloth a fresh new look.
10.	Gave the Naught the same skin as in Pre-Sequel (Minus the decals)
11.	Big Boom Blaster has a proper Torgue looks now, instead of Dahl.
12.	Gave Flayer the same skin as in Pre-Sequel.

==========Visuals (Credit goes to Aaron0000 for doing all of these)===============
1.	Gave the Infection a new skin.
2.	Gave the Interfacer a new skin.
3.	Gave the Leadstorm a new skin.
4.	Gave the Devastator a new skin.
5.	Gave the Cobra a new skin.


================================================LOOT, DROP AND GENERAL CHANGES================================================
1.	Made Eridium, Torgue Tokens and Seraph Crystals auto pick-up.
2.	Made the threshold for blue and above gear to spawn level 1 instead of level 7. (This means that you will get good quality gear from the beginning of the game instead of after Flynt)
3.	Made all raid boss quests now give you more experience and a random legendary.
4.	Made the Raid on Digistruct Peak reward be an E-Tech instead of a purple.
5.	Made Lilith give you a choice of a blue COM in TVHM and above after the Hunting the Firehawk quest.
6.	Made Roland give you a blue COM (instead of green) in TVHM after the Bright Lights, Flying City quest.
7.	Made Grandma Flexington’s Story gives you a random purple Shield instead of $1.
8.	Made the Bandit, Creature and Hyperion Slaughter’s round 5 repeatable.
9.	Michael Mamaril gives you purples all the time now, and has a 10% chance to give you a legendary.
10.	Made Moxxi have a 20% chance to give you a Bad Touch instead of a Good Touch.
11.	Made Varkids have an increased chance of evolving.
12.	Made Vermivorous the Invincible have an increased chance to spawn in singleplayer. (From 10% to 20%)
13.	Increased the Shield, Health and Damage of Super Badass Stalkers, and gave it a Super Badass lootpool instead of a Badass lootpool.
14.	Increased the Shield, Health and Damage of H3RL-E, and sped up its barrel throwing animation.
15.	Increased the chance of Omnd-Omnd-Ohk spawning (From 1% to 5%).
16.	Increased Damage over Time in UVHM by 150%.
17.	Loot Midgets now drop legendary Shields.
18.	Made Jimmy Jenkins have the Ultimate Badass lootpool and the Loot Midget lootpool.
19.	Made the Bekah, Godfinger, Wanderlust and Carnage to be considered into the pearlecent world drop lootpool.
20.	010011110100110101000111010101110101010001001000 (OMGWTH) should drop gen 2 pearlecents as well now.
21.	The Invincible Son of Crawmerax the Invincible has a 10% chance to drop any pearlecent in the game starting UVHM after level 51 and always drops on level gear now.
22.	Increased the chance for Hyperious the Invincible, Master Gee the Invincible and Voracidous the Invincible to drop a Seraph item by 10% and added every Seraph item from their respective DLCs to their lootpool.
23.	Dexiduous the Invincible, Voracidous the Invincible and Omnd-Omnd-Ohk have a chance to drop the second generation of all legendary COMs now.
24.	Made anyone with a rare spawn chance have 20% to drop their legendary instead of 10%. (For example King Mong)
25.	Increased the chance for Warlord Slog to drop the Ogre.
26.	Removed the two heads from Warrior’s lootpool and made it less crowded.
27.	Dexiduous the Invincible now drops the Lady Fist, Flayer, Hive and Twister, and has a 100% chance to drop either of them. (Including the Chopper)
28.	H3RL-3 has a 33% chance to drop the Sandhawk and Pimpernel now.
29.	Badassasaurus Rex can drop 15 Torgue Tokens now and has a chance to drop any of the Torgue legendaries.
30.	Gold Golem has a rare chance of dropping the Grog Nozzle now, and removed the Infinity and the Deliverance from his lootpool to make it less crowded.
31.	Hyperious the Invincible drops the Fibber instead of the Kiss of Death now.
32.	Improved chance for the Splinter Group to drop a Storm Front from 2.5% to 7.5% per Rat.
33.	Bone Head has a chance to drop the Shredifier now.
34.	Blue has a chance to drop the Heart Breaker now.
35.	Bewm and Boom have a chance to drop the Skyrocket now.
36.	The Sheriff has a chance to drop the Fire Bee now.
37.	Incinerator Clayton has a chance to drop Flame of the Firehawk now.
38.	Henry has a chance to drop the Love Thumper now.
39.	Wilhelm has a chance to drop the Bouncing Bonny now.
40.	Donkey Mong has a chance to drop the Bigg Thumppr now.
41.	Mister Boney Pants Guy has a chance to drop the Gub now.
42.	Muscles has a chance to drop Sledge’s Shotgun now.
43.	Spiderpants has a chance to drop the Quazar now.
44.	Bad Maw has a chance to drop the Deliverance now.
45.	Mad Mike has a chance to drop the Madhous! now.
46.	Prospector Zeke has a chance to drop the Skullmasher now.
47.	Jackenstein has a chance to drop the Conference Call now.
48.	Arizona has a chance to drop the Flakker now.
49.	Sinkhole has a chance to drop the Bitch now. 
50.	Flinter has a chance to drop the Volcano now.
51.	Dribbles has a chance to drop the Badaboom now.
52.	Woundspike has a chance to drop the Maggie now.
53.	Motor Mamma has a chance to drop the Baby Maker now.
54.	GOD-liaths have a chance to drop a legendary weapon now.
55.	Iron GOD now drops 3 Gemstone rarity weapons.
56.	DJ Tanner has a chance to drop the Sham now.
57.	Roscoe has a chance to drop the Hive now.
58.	Cursed Pirates can drop Captain Blade's gear.
59.	Badass Pirates have a chance to drop the Stinkpot now.


======================================CHARACTER SKILLS============================================

==================Axton==================
1.	Increased the base Damage of Axton’s turret by 20% and gave it 20% more Fire Rate.
2.	Swapped Crisis Management's and Resourceful's position in the skill tree.
3.	Sentry: Replaced Burst Fire with Fire Rate, 3% per point.
4.	Laser Sight: Adds Turret Accuracy and Turret Damage now, 5% per point.
5.	Scorched Earth: Removed the hidden 15% Turret Damage penalty and made it passively increase Axton's Explosive Damage by 10%.
6.	Double up: Removed the hidden 15% Turret Damage penalty and instead made it additionally passively increase Turret Damage by 30%.
7.	Impact: Replaced Melee Damage with Accuracy.
8.	Overload: Reduces the Magazine Size increase but made it affect all gun types, 7% instead of 10% per point.
9.	Battlefront: Replaced Melee Damage with Critical Hit Damage.
10.	Duty Calls: Replaced Fire Rate with additive Critical Hit Damage and changed the Gun Damage to 8% instead of 5% per point.
11.	Ranger: Increased all bonuses, 2% instead of 1% per point.
12.	Nuke: Doubled the Nuke's Damage and the fire damage over time Damage by x5 and made it passively increase Axton's Cooldown Rate by 20%.
13.	Preparation: Increased Shield Capacity, 4% instead of 3% per level.
14.	Forbearance: Replaced Maximum Health with Damage Reduction, 2% per point.
15.	Phalanx Shield: Doubled the capacity of Phalanx Shield and made it passively increase Axton's Shield Capacity by 20%.
16.	Crisis Management: Replaced Melee Damage with Damage Reduction, 6% per point.
17.	Gemini: Additionally gives the turret 30% Fire Rate and 3 more shots per burst.

==================Maya===================
1.	Increased Sweet Release's healing Projectile Speed by 50%.
2.	Removed the "increases Cooldown by 3 seconds" text from Thoughtlock's description (it never actually increased the cooldown).
3.	Mind's Eye: Replaced Melee Damage with Accuracy, 5% per point.
4.	Recompense: Quadrupled the damage it deals to the attacker but halved the chance.
5.	Res: Additionally increases Maya's Fight For Your Life duration by 35% now.
6.	Life Tap: Removed the annoying sound.
7.	Scorn: Doubled the Slag chance and reduced the cooldown, from 18 seconds to 10 seconds.
8.	Helios: Increased the damage dealt by 50%.
9.	Backdraft: Doubled the Melee Damage, but reduced the Nova Radius slightly.
10.	Blight Phoenix: Doubled the damage dealt.
11.	Ruin: Increased the Damage and damage over time Damage by 5x.

=================Salvador================
1.	Fixed Lay Waste/Keep it Piping Hot/5 Shots or 6/Incite/Just Got Real/I’m your Huckleberry not giving off-hand weapons the bonuses.
2.	Auto-Loader: Additionally passively increases Salvador's Reload Speed by 15% now.
3.	Hard to Kill: Increased Health Regeneration, 0.2% instead of 0.1% per point.
4.	I'm the Juggernaut: Increased Damage Reduction, 12% instead of 4% per point.

==================Zer0===================
1.	Swapped Grim's and Fearless's position in the skill tree.
2.	Removed the "increased Gun Critical Damage" text from Decepti0n's description (it technically doesn't exist).
3.	Fixed Be Like Water giving 10% Gun Damage instead of 20%.
4.	0ptics: Increased the Aim Steadiness and additionally increases Aiming Speed now, 14% per point.
5.	Kill C0nfirmed: Stacks instantly now.
6.	Critical Ascensi0n: Decays stacks at 3 seconds between stacks instead of 1 second between stacks now.
7.	C0unter Strike: Increased the chance for it to trigger after getting hit.
8.	Grim: Increased Cooldown Rate, 4% instead of 1.5% per level.
9.	Innervate: Increased Health Regeneration, 1% instead of 0.8% per point, and replaced the Gun Damage with Status Effects Duration Reduction, 4% per point.
10.	Ir0n Hand: Changed Maximum Health to Damage Reduction.
11.	Fearless: Additionally increases Health Regeneration, 0.3% per point.
12.	Resurgence: Increased Maximum Health restored, 6% instead of 4% per point.
13.	Like the Wind: Additionally gives Zer0 a chance to dodge bullets now, 5% per point.

==================Gaige==================
1.	Buck Up: Additionally passively increases Gaige's Shield Capacity by 15% now.
2.	Explosive Clap: Sped up its animation, increased its Damage, and additionally passively increases Gaige's Melee Damage by 20% now.
3.	Made Of Sterner Stuff: Increased Damage Reduction to 4% per point from 1%, and Melee Damage to 6% per point from 3%.
4.	Sharing is Caring: Additionally passively increases Gaige's Shield Capacity/Recharge Rate by 20% and gives -20% Shield Recharge Delay now.
5.	More Pep: Doubled all stats, +8%/+4% instead of +4%/+2% per level.
6.	Shock Storm: Doubled the Storm's Radius.
7.	The Stare: Doubled its Damage. (Including damage over time)
8.	Strength of Five Gorillas: Additionally increases Gun Damage now, 3% per level.
9.	Shock and AAAGGGGHHH!: Additionally passively increases Gaige's reload speed by 25% now.
10.	One Two Boom: Sped up its animation, doubled its Damage (including damage over time), and additionally passively increases Gaige's Explosive Damage by 15%.
11.	Wires Don't Talk: Increased Damage, 5% instead of 3% per point.
12.	Make it Sparkle: Additionally passively increases Gaige's Elemental Effect Chance and Damage by 30% now.
13.	Robot Rampage: Additionally passively increases Gaige's Gun Damage by 20% now.
14.	Annoyed Android: Additionally increases the damage Deathtrap deals now, 7% per point.
15.	With Claws: Increased Melee Damage to 1.25% per Anarchy stack from 0.6% (It rounds it to 1.3 but it's still 1.25) and additionally increases Swap Speed by 0.625% per Anarchy stack.

==================Krieg==================
1.	Returned Krieg’s Raving Retribution Rants.
2.	Added Blood Euphoria (which was an unused but existing skill) as a Bloodlust tier 4 gamechanger for Krieg: Heals for 0.6% Maximum Health per Bloodlust stack when kill skills end.
3.	Fixed Elemental Elation and Salt the Wound stacks overlapping each other
4.	Fixed the self-hit damage from Silence the Voices being affected by Grenade Damage.
5.	Bloody Revival: Removed Assault Rifle requirement.
6.	Pull the Pin: Additionally increases Krieg's Grenade Damage by 10% now.
7.	Light The Fuse: Doubled the Damage.
8.	Hellfire Halitosis: Increased the Damage by 4x.